@import "@/styles/variables";

.organization-card {
    display: grid;
    grid-template-rows: 50% 2fr 24px;
    grid-template-columns: 1fr;
    height: 16rem;
    min-height: 100%;
    min-width: 100%;
    gap: 0.5rem;

    @include tablet {
        height: 23rem;
    }

    &__image-frame {
        position: relative;
        display: block;

        &_dull {
            opacity: 0.2;
        }

        img {
            object-fit: contain;
            object-position: left;
        }
    }

    &__label {
        grid-column: 1 / -1;
        text-align: left;
        font-family: $primary-font-semibold;
        font-size: $fs-h5-mobile;
        line-height: $linhe-h5-mobile;

        @include tablet {
            font-size: $fs-h5-tablet;
            line-height: $linhe-h5-tablet;
        }

        @include desktop {
            font-size: $fs-h5-desktop;
            line-height: $linhe-h5-desktop;
        }
    }

    &__link {
        grid-column: 1 / -1;
        cursor: pointer;
        color: var(--primary-color);
        transition: color 0.2s ease;

        &:hover {
            color: var(--primary-color-dark);
        }
    }
}

.edit-link {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 0.9rem;
    font-weight: 500;
}
